--- seq24-0.9.3/src/midibus.h	2016-01-24 15:17:20.000000000 +0100
+++ seq24-0.9.3-patched/src/midibus.h	2017-01-14 10:52:30.692670842 +0100
@@ -90,7 +90,7 @@
 
 
     /* locking */
-    mutex m_mutex;
+    seq24mutex m_mutex;
 
     /* mutex */
     void lock();
@@ -208,7 +208,7 @@
     sequence *m_seq;
 
     /* locking */
-    mutex m_mutex;
+    seq24mutex m_mutex;
 
     /* mutex */
     void lock();
--- seq24-0.9.3/src/midibus_portmidi.h	2016-01-24 15:17:20.000000000 +0100
+++ seq24-0.9.3-patched/src/midibus_portmidi.h	2017-01-14 10:52:30.274682886 +0100
@@ -65,7 +65,7 @@
     long m_lasttick;
 
     /* locking */
-    mutex m_mutex;
+    seq24mutex m_mutex;
 
     /* mutex */
     void lock();
@@ -164,7 +164,7 @@
     sequence *m_seq;
 
     /* locking */
-    mutex m_mutex;
+    seq24mutex m_mutex;
 
     /* mutex */
     void lock();
--- seq24-0.9.3/src/mutex.cpp	2010-11-23 22:16:19.000000000 +0100
+++ seq24-0.9.3-patched/src/mutex.cpp	2017-01-14 10:54:41.326917143 +0100
@@ -20,23 +20,23 @@
 
 #include "mutex.h"
 
-const pthread_mutex_t mutex::recmutex = PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
+const pthread_mutex_t seq24mutex::recmutex = PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP;
 const pthread_cond_t condition_var::cond  = PTHREAD_COND_INITIALIZER;
 
-mutex::mutex( )
+seq24mutex::seq24mutex( )
 {
     m_mutex_lock = recmutex;
 }
 
 void
-mutex::lock( )
+seq24mutex::lock( )
 {
     pthread_mutex_lock( &m_mutex_lock );
 }
 
 
 void
-mutex::unlock( )
+seq24mutex::unlock( )
 {
     pthread_mutex_unlock( &m_mutex_lock );
 }
--- seq24-0.9.3/src/mutex.h	2016-01-24 15:17:20.000000000 +0100
+++ seq24-0.9.3-patched/src/mutex.h	2017-01-14 10:53:47.742454403 +0100
@@ -24,7 +24,7 @@
 
 #include <pthread.h>
 
-class mutex {
+class seq24mutex {
 
 private:
 
@@ -37,14 +37,14 @@
 
 public:
 
-    mutex();
+    seq24mutex();
 
     void lock();
     void unlock();
 
 };
 
-class condition_var : public mutex {
+class condition_var : public seq24mutex {
 
 private:
 
--- seq24-0.9.3/src/sequence.h	2016-01-24 15:17:20.000000000 +0100
+++ seq24-0.9.3-patched/src/sequence.h	2017-01-14 10:52:29.274711699 +0100
@@ -153,7 +153,7 @@
     long m_rec_vol;
 
     /* locking */
-    mutex m_mutex;
+    seq24mutex m_mutex;
 
     /* used to idenfity which events are ours in the out queue */
     //unsigned char m_tag;
